LINUX.ORG.RU

Ответ на: комментарий от JB

Люди вы о чем. Мне нужна программа для работы с исходниками. Например есть у меня programma.tar.bz2 я её запускаю в этой проге она ёе разархивирует сделает конфигуре покажет опции для конфигуре после настройки скомпилит и уcтановит и сохранит сведения об установленной программе, затем для удаления выбираешь из спика программку она её удаляет и все что необходимо, причем тут checkinstall для генерации пакетов из исходниов который еще и не сможет правильно прописать для них зависимости?

ss777
() автор топика
Ответ на: комментарий от Asteronix

И что предлагаешь сидеть и с отвисающей челюстью писать spec файлы для исходников? потом собирать rpm? Зачем мне rpm они мне не нужны просто нужен gui инерфейс для установки и удаления программ из исходников.

ss777
() автор топика
Ответ на: комментарий от ss777

> Люди вы о чем. Мне нужна программа для работы с исходниками.

епт, а я что сказал? ну configure оно не сделает, а вот make и make install запросто

умеет создавать rpm, deb и tgz пакеты

JB ★★★★★
()
Ответ на: комментарий от ss777

> Зачем мне rpm они мне не нужны просто нужен gui инерфейс для установки и удаления программ из исходников.

гуй для checkinstall'а ищи на фрешмите, там есть парочка проектов

JB ★★★★★
()
Ответ на: комментарий от veent

Ага только вот его не получается поставить checking for libsrcinst... configure: error: could not detect required libsrcins Хотя libscrins в системе устпновлен.

ss777
() автор топика

Проходите, молодой человек, не задерживайте! Серебрянные пули в соседнем отделе.

:-)

sdio ★★★★★
()
Ответ на: комментарий от sdio

Т.Е. Предлагаешь застрелится? Может мы лучше поможем пролему решить? Ни у кого такой ситуации не было с sourceinstall-gtk?

ss777
() автор топика
Ответ на: комментарий от ss777

Если поискать то можно найти. Или попытаться поискать spec'и. Или освоить checkinstall. Лично мне проще один раз spec написать и потом его править.

Asteronix ★★★
()
Ответ на: комментарий от Asteronix

Ну тоже вариант. Только как в него правильно прописать зависимости т.е как узнать что необходимо для исходников, наверно надо как-то связать с ./configure или как это делается?

ss777
() автор топика
Ответ на: комментарий от Asteronix

Ну ты знаешь не всегда в REDME или INSTALL пишут про зависимости т.е про модули например которые надо ..... libidn.so libtools.so.4 итд что-то я там такого не вижу, а вот при выполнении ./configure он это проверяет и было бы неплохо если их проверял и устанавливаемый пакет. Как это реализовать через checkinstall. Вопрос остался.

ss777
() автор топика
Ответ на: комментарий от ss777

С rpm работать умеешь? Находишь libtools.so.4, пишешь rpm -qf libtools.so.4 и rpm тебе говорит к какому пакету принадлежит данный файл. Далее смотришь, установлен ли у тебя devel пакет. Например, если ./configure пишет что не может найти gtk+, то это значит что надо чтобы был установлен пакет gtk+-devel. А зависимости прописываются в spec файле.

Почитай про rpm

http://www.regionnet.ru/~steel/docs/max-rpm/

Эта книга называется "Maximum rpm"

Удачи.

Asteronix ★★★
()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.